# Uses of Class
com.sun.source.util.Trees

Packages that use Trees
Package
Description
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

- ## Uses of Trees in com.sun.source.util

  Subclasses of Trees in com.sun.source.util
  Modifier and Type
  Class
  Description
  `class`
  `DocTrees`
  Provides access to syntax trees for doc comments.
  Methods in com.sun.source.util that return Trees
  Modifier and Type
  Method
  Description
  `static Trees`
  Trees.`instance(ProcessingEnvironment env)`
  Returns a `Trees` object for a given `ProcessingEnvironment`.
  `static Trees`
  Trees.`instance(JavaCompiler.CompilationTask task)`
  Returns a `Trees` object for a given `CompilationTask`.